const config = {}

// #ifdef VUE3
const configModules = import.meta.glob('./modules/*.js')
const tasks = Object.values(configModules).map(m => m().then(c => Object.assign(config, c.default)))
Promise.all(tasks).then()
// #endif

// #ifndef VUE3
const configModules = require.context('./modules', false, /\.js$/)
const configs = configModules.keys().map(key => configModules(key).default)
configs.forEach(module => Object.assign(config, module))
// #endif

export default config
